# Google Cloud Identity-Aware Proxy Samples

This sample shows how to authenticate an http request when requesting a web page from
a Google App Engine application protected by the [Google Cloud Identity-Aware Proxy](http://cloud.google.com/iap).

This sample requires [.NET Core 3.1](https://www.microsoft.com/net/core) or later.
That means using [Visual Studio 2019](https://www.visualstudio.com/) or the command line.

## Build and Run

1.  **Follow the set-up instructions in [the documentation](https://cloud.google.com/dotnet/docs/setup).**

1.  [Create an App Engine application and enable Identity-Aware Proxy (IAP)](https://cloud.google.com/iap/docs/app-engine-quickstart).

1.  [Download service account credentials and observe your IAP client id](https://cloud.google.com/iap/docs/authentication-howto#iap-make-request-csharp).

## Contributing changes

* See [CONTRIBUTING.md](../../CONTRIBUTING.md)

## Licensing

* See [LICENSE](../../LICENSE)

## Testing

* See [TESTING.md](../../TESTING.md)
