# Cloud Storage Sample

These samples demonstrate how to interact with the [Google Cloud Storage API][Storage] from C# and
the .NET client libraries to call the Storage API..

The samples requires [.NET Core 3.1][net-core] or later.  That means using
[Visual Studio 2019](https://www.visualstudio.com/), or the command line.

## Setup

1.  Set up a [.NET development environment](https://cloud.google.com/dotnet/docs/setup).

4.  Enable APIs for your project.
    [Click here][enable-api]
    to visit Cloud Platform Console and enable the Google Cloud Storage API.

## Contributing changes

* See [CONTRIBUTING.md](../../CONTRIBUTING.md)

## Licensing

* See [LICENSE](../../LICENSE)

## Testing

* See [TESTING.md](../../TESTING.md)

[Storage]: https://cloud.google.com/storage/docs/
[enable-api]: https://console.cloud.google.com/flows/enableapi?apiid=storage_api&showconfirmation=true
[net-core]: https://www.microsoft.com/net/core